## Store this player's inventory and xp, clear it, then transfer it into a new grave
execute if score $tellCoords multipack.graves matches 1 run function multipack:graves/tell_coords

# Store and clear items without deleting item on player's cursory
clear @s *[enchantments~[{"enchantments":"vanishing_curse"}]]
execute if score $loseItems multipack.graves matches 1 run clear @s #multipack:lost_items
data modify storage multipack:grave_storage Items set from entity @s Inventory
execute unless score $keepItems multipack.graves matches 1 run function multipack:graves/clear
execute if score $keepItems multipack.graves matches 1 run function multipack:graves/keep

# Store and clear xp
execute if score $keepXp multipack.graves matches 1 run data modify storage multipack:grave_storage Xp set value 0
execute unless score $keepXp multipack.graves matches 1 run xp add @s -1
execute unless score $keepXp multipack.graves matches 1 store result storage multipack:grave_storage Xp int 7 run data get entity @s XpLevel
execute unless score $keepXp multipack.graves matches 1 run xp set @s 0
execute unless score $keepXp multipack.graves matches 1 run xp set @s 0 levels

# If 'multipack:grave_storage' has neither xp nor items or this player is in the void, return 0
execute if data storage multipack:grave_storage {Xp:0} unless data storage multipack:grave_storage Items[0] run return 0
execute if predicate multipack:in_void run return 0

# Otherwise, place grave
summon marker ~ ~ ~ {Tags:["multipack.grave_marker"]}
summon interaction ~ ~ ~ {Tags:["multipack.grave_interaction"],width:1.3f,height:1f}
summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"coarse_dirt"},transformation:{translation:[-0.75f,0f,-0.5f],left_rotation:[0f,0f,0f,1f],scale:[1.5f,0.126f,1f],right_rotation:[0f,0f,0f,1f]}}
summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"cobblestone"},transformation:{translation:[-0.577f,0.033f,-0.376f],left_rotation:[0f,0f,0.125f,1f],scale:[0.125f,1f,0.74f],right_rotation:[0f,0f,0f,1f]}}
data modify entity @n[distance=..0.1,type=marker,tag=multipack.grave_marker] data set from storage multipack:grave_storage
execute unless score @s multipack.graves matches -2147483648..2147483647 run scoreboard players add $graveID multipack.persist 1
execute unless score @s multipack.graves matches -2147483648..2147483647 run scoreboard players operation @s multipack.graves = $graveID multipack.persist
scoreboard players operation @n[distance=..0.1,type=marker,tag=multipack.grave_marker] multipack.graves = @s multipack.graves

# Display "R.I.P" and the name of the dead player. If there are multiple dead players, skip name
execute store result score &playersDead multipack.temp run execute if entity @a[scores={multipack.death=1..}]
execute if score &playersDead multipack.temp matches 1 run summon text_display ~ ~ ~ {Tags:["multipack.grave_display"],transformation:{left_rotation:[0f,0f,0.125f,1f],right_rotation:[0f,1f,0f,1f],translation:[-0.58f,0.6f,0f],scale:[0.4f,0.4f,0.4f]},text:'{"selector":"@p[scores={multipack.death=1..}]"}',background:0}
summon text_display ~ ~ ~ {Tags:["multipack.grave_display"],transformation:{left_rotation:[0f,0f,0.125f,1f],right_rotation:[0f,1f,0f,1f],translation:[-0.62f,0.74f,0f],scale:[0.74f,0.74f,0.74f]},text:'{"text":"R.I.P"}',background:0}
scoreboard players reset &playersDead multipack.temp
