## Make this item frame invisible only if it has no item. Place a marker only if the frame lacks one
# Makes invisble item frames only invisible when they hold an item
execute if entity @s[nbt={Item:{}}] run tag @s add multipack.invisible
execute if entity @s[tag=multipack.invisible] run data modify entity @s Invisible set value 1b
execute if entity @s[tag=!multipack.invisible] run data modify entity @s Invisible set value 0b
execute if predicate multipack:chance/25.0_percent if entity @s[tag=!multipack.invisible] run particle minecraft:ash ^ ^0.25 ^0.1 0.1 0.1 0.1 0 1
tag @s remove multipack.invisible

# Marks position so that a phantom membrane can be spawned when the item frame is broken
execute if entity @s[tag=multipack.hasInvisMarker] run return 0
tag @s add multipack.hasInvisMarker
summon marker ~ ~ ~ {Tags:["multipack.invisFrameMarker"]}
data modify entity @s Invulnerable set value 0b
