## Change trades, tag self `multipack.modified`, effect self with glowing, and notify nearby players
title @a[distance=..64] actionbar {"text":"A Wandering Trader has appeared nearby","color":"white"}
tag @s add multipack.modified
effect give @s glowing 20

# Spawns 7 items with nbt containing trades (`@s multipack.temp` is referenced in the trade loot tables)
execute store result score @s multipack.temp run random value 0..7
execute store result score &random multipack.temp run random value 1..4
execute if score &random multipack.temp matches 1 run loot spawn ~ ~ ~ loot multipack:trades/jungle
execute if score &random multipack.temp matches 2 run loot spawn ~ ~ ~ loot multipack:trades/mesa
execute if score &random multipack.temp matches 3 run loot spawn ~ ~ ~ loot multipack:trades/ocean
execute if score &random multipack.temp matches 4 run loot spawn ~ ~ ~ loot multipack:trades/tundra
scoreboard players reset &random multipack.temp
scoreboard players reset @s multipack.temp

# Transfer items' nbt to storage, then to wandering trader
execute as @e[distance=..0.1,type=item,limit=7,sort=nearest] run function multipack:wandering_trader/store_trade
data modify entity @s Offers.Recipes set from storage multipack:wander_trades Offers.Recipes
data remove storage multipack:wander_trades Offers
